#!/bin/sh

# futebus example: 'S' channel master (service)
#
# License: CC0 - no rights reserved 
#
# How to use:
# 1. create the bus: futebus bus
# 2. run the master: ./Smaster.sh
# 3. run a process to monitor the bus: cat bus/S1
# 4. run another process to send data to the bus: echo hello >>bus/S1


# main loop: read messages, print them on stderr and broadcast them back
# (without removing the address prefix that an 'S' master gets)
# The {*} prefix in the the second print makes the output message broadcast,
# newline is automatically appended by awk (that's how print works)
awk '
{
	print "Read:", $0 > "/dev/stderr"
	print "{*}Relaying message as received:", $0
	fflush("/dev/stdout");
}
' 0<>bus/.S1 1>&0

